package models

func DeleteAuthorByID(id int64) error  {
	// Delete the author
	_, err := x.Id(id).Delete(&Author{})

	if err != nil {
		return err
	}

	// Delete all book relations associated with that author
	_, err = x.Delete(&AuthorBook{AuthorID:id})

	return err
}